Bug 1414825 (php-react-cache) - Review Request: php-react-cache - Async caching
Summary: Review Request: php-react-cache - Async caching
Keywords:
Status: CLOSED ERRATA
Alias: php-react-cache
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-react-dns php-react
TreeView+ depends on / blocked
 
Reported: 2017-01-19 14:54 UTC by Shawn Iwinski
Modified: 2017-02-26 03:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 21:24:17 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (1.88 KB, text/plain)
2017-01-19 16:12 UTC, Remi Collet
no flags Details
review.txt (7.46 KB, text/plain)
2017-01-19 16:13 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-01-19 14:54:37 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/3d37c6d5522b86ab6f2e39d48e685203354c355f/php-react-cache/php-react-cache.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-react-cache-0.4.1-1.fc25.src.rpm

Description:
Promised cache interface.

The cache component provides a promise-based cache interface and an in-memory
ArrayCache implementation of that. This allows consumers to type hint against
the interface and third parties to provide alternate implementations.

Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-01-19 16:12:17 UTC
Created attachment 1242523 [details]
phpci.log

phpCompatInfo version 5.0.4 DB version 1.16.0 built Dec 16 2016 06:59:17 CET static analyze results

Comment 2 Remi Collet 2017-01-19 16:13:05 UTC
Created attachment 1242524 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1414825
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 3 Remi Collet 2017-01-19 16:17:48 UTC
[x]: Requires correct, justified where necessary.

%global react_promise_min_ver 1.1
%global react_promise_max_ver 3.0

	As discussed on ML, probably a not really good idea to
	allow 2 major versions without having an aware autoloader.
	BTW, we only have v2 in Fedora... so, OK.

[x]: Package complies to the Packaging Guidelines



So: APPROVED

Comment 4 Gwyn Ciesla 2017-01-23 13:56:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-react-cache

Comment 5 Fedora Update System 2017-01-30 17:49:18 UTC
php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 6 Fedora Update System 2017-01-31 02:52:30 UTC
php-react-0.4.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 7 Fedora Update System 2017-02-01 17:30:51 UTC
php-react-0.4.2-2.el7 php-react-stream-0.4.6-1.el7 php-react-socket-0.4.6-1.el7 php-react-child-process-0.4.1-2.el7 php-react-http-0.4.2-2.el7 php-react-http-client-0.4.15-2.el7 php-react-socket-client-0.4.6-3.el7 php-react-dns-0.4.3-3.el7 php-react-promise-timer-1.1.1-2.el7 php-react-event-loop-0.4.2-2.el7 php-react-cache-0.4.1-2.el7 php-clue-block-react-1.1.0-2.el7 php-clue-stream-filter-1.3.0-2.el7 php-evenement-2.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 8 Fedora Update System 2017-02-01 17:31:57 UTC
php-react-0.4.2-2.fc25 php-react-stream-0.4.6-1.fc25 php-react-socket-0.4.6-1.fc25 php-react-child-process-0.4.1-2.fc25 php-react-http-0.4.2-2.fc25 php-react-http-client-0.4.15-2.fc25 php-react-socket-client-0.4.6-3.fc25 php-react-dns-0.4.3-3.fc25 php-react-promise-timer-1.1.1-2.fc25 php-react-event-loop-0.4.2-2.fc25 php-react-cache-0.4.1-2.fc25 php-clue-block-react-1.1.0-2.fc25 php-clue-stream-filter-1.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 9 Fedora Update System 2017-02-01 17:35:01 UTC
php-clue-block-react-1.1.0-2.fc24 php-clue-stream-filter-1.3.0-2.fc24 php-react-0.4.2-2.fc24 php-react-cache-0.4.1-2.fc24 php-react-child-process-0.4.1-2.fc24 php-react-dns-0.4.3-3.fc24 php-react-event-loop-0.4.2-2.fc24 php-react-http-0.4.2-2.fc24 php-react-http-client-0.4.15-2.fc24 php-react-promise-timer-1.1.1-2.fc24 php-react-socket-0.4.6-1.fc24 php-react-socket-client-0.4.6-3.fc24 php-react-stream-0.4.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 10 Fedora Update System 2017-02-02 21:48:41 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 11 Fedora Update System 2017-02-03 23:49:45 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 12 Fedora Update System 2017-02-04 01:20:07 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 13 Fedora Update System 2017-02-14 21:24:17 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-02-15 03:18:12 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-26 03:49:00 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.